geary (0.12~~master-1~xenial1) xenial; urgency=medium

  * Begin 0.12 development

 -- Michael Gratton <mike@vee.net>  Tue, 07 Feb 2017 13:25:24 +1100

geary (0.11.0-1~xenial1) xenial; urgency=medium

  * Add archive special folder support (#713986)
  * Add is:read, is:unread: is:starred search operators (#726661)
  * Fix using more than search operator - to:, from:, etc. (#749938)
  * Work around crashes caused by WebKitGTK+ 2.4.10 (#764152, #763933)
  * Fix a crash when searching (#765515)
  * Fix images not being displayed in some HTML messages (#764919)
  * Fix empty main window when opened from notification (#763961)
  * Fix UI freezing when network connections are lost (#757088)
  * Work better with Cyrus & other servers when network unreliable (#757166)
  * Enable use of custom FTS3 tokeniser in SQLite 3.12 and later (#763203)
  * Fix inconsistent Composer 'Detach' button placement (#757110)
  * Documentation improvements (#764848, #749925)
  * Update deb module dependencies (#749931, #748464)
  * Updated UI & doc translations

 -- Michael Gratton <mike@vee.net>  Sun, 15 May 2016 17:22:45 +1000

geary (0.10.0-1~utopic1) utopic; urgency=low

  * Undo Archive/Trash/Move of email (#721828)
  * New split headerbar layout with UI, composer improvements (#743960)
  * Preference to switch between 2-column and 3-column layout (#714793)
  * Support multiple ("alternate") email addresses per account (#714922)
  * New shortcut keys to navigate next/previous conversation (#714434)
  * Fix displaying inline images referenced by Content-ID (#743676)
  * Numerous bug fixes, optimizations, improvements
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Mon, 30 Mar 2015 14:19:36 -0700

geary (0.9.1-1~utopic1) utopic; urgency=low

  * Support HTML signatures (#738895)
  * Quote from multiple selections in reply (#738188)
  * Restore reply/reply all/forward state of edited drafts (#743067)
  * Quoted message portion may be easily removed in composer (#741609)
  * True delete now supported in Gmail (#721790)
  * Improved searching for terms w/ punctuation (#714863)
  * Better management of draft messages to avoid orphans
  * Empty Trash, Empty Spam (#714809, #725260)
  * Better conversation construction (#714563)
  * Improved IMAP connection reestablishment and retrying of remote operations
  * Various bug fixes, optimizations, improvements
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Mon, 02 Feb 2015 18:12:49 -0800

geary (0.9.0-1~utopic1) utopic; urgency=low

  * Improved full-text search experience (#720361)
  * Periodic database & attachments garbage collection (#714134)
  * Remove minimum width for sidebar/folder list (#713882)
  * Use GtkHeaderBar for dialogs (#741240)
  * Can now specify Reply-To when composing (#714588)
  * Fix signed int32 UID/UIDVALIDITY bug (#737642)
  * Composer shortcuts now listed in online help (#741573)
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Fri, 19 Dec 2014 17:11:02 -0800

geary (0.8.3-1~utopic1) utopic; urgency=low

  * Prevent race condition causing Geary window not to open (#737811)
  * Compile with Vala 0.28 (#741077)
  * Updated SSLv3 POODLE fallback (#741132)
  * Fixed connection state handler to return to IDLE
  * Removed unnecessary assertion causing crashes for intl users (#739316)
  * Updated German help translations
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Fri, 19 Dec 2014 16:50:32 -0800

geary (0.8.2-1~utopic1) utopic; urgency=low

  * "View Source" creates temp files only readable by user (#724436)
  * elementary Contractor support (#734717)
  * Prevent displaying blank window when Geary first starts (#720360, #737811)
  * Disable SSLv3 (POODLE attack) (#739019)
  * Fix IMAP problems when running under Turkish locale (#714892)
  * Don't crash when closing composer (#739141)
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Tue, 04 Nov 2014 13:38:23 -0800

geary (0.8.1-1~trusty1) trusty; urgency=low

  * Display properly-scaled icons under GTK+ 3.14
  * Don't show composer close/detach buttons twice under GTK+ 3.14
  * Fix code analysis errors reported by newest Vala
  * gcr-3 minimum version requirement not specified
  * Properly install French online help
  * Czech online help added
  * Updated Spanish, German translations

 -- Jim Nelson <jim@yorba.org>  Tue, 07 Oct 2014 14:23:20 -0700

geary (0.8.0-1~trusty1) trusty; urgency=low

  * Enforce CSS scope style rules when viewing emails
  * Bug fixes
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Fri, 19 Sep 2014 12:53:00 -0700

geary (0.7.2-1~trusty1) trusty; urgency=low

  * Warn user of TLS certificate issues when connecting (#713247)
  * Better scrolling system for inline composer
  * Improved database performance and reduced lags
  * IMAP stack fix (old IDLEs causing command completion)
  * Compile with Vala 0.25 and better
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Tue, 02 Sep 2014 16:36:51 -0700

geary (0.7.1-1~saucy1) saucy; urgency=low

  * Show attachments lacking a Content-Disposition
  * Prevent Inbox from being cleared at startup (Dovecot, Zimbra, more)
  * Major memory leak (due to GMime bindings) fixes
  * Improved IMAP disconnect/reconnect logic
  * Autocomplete properly quotes RFC822 strings
  * Stabilize search results to prevent lost or dropped results
  * Inline composer polish
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Wed, 20 Aug 2014 12:50:08 -0700

geary (0.7.0-1~saucy1) saucy; urgency=low

  * Major overhaul of email composer, now inline in main window and redesigned
  * Composer will automatically add signature to emails
  * Saving drafts to server can be disabled
  * Improved main window interface, now using GtkHeaderBar
  * Database speed optimizations to reduce lags and improve read times
  * Improved connection retry
  * Various bug fixes
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Fri, 18 Jul 2014 14:03:07 -0700

geary (0.6.5-1~saucy1) saucy; urgency=low

  * Fixed help documentation installation of translated pages

 -- Jim Nelson <jim@yorba.org>  Tue, 04 Nov 2014 12:47:46 -0800
 
geary (0.6.4-1~saucy1) saucy; urgency=low

  * French documentation added
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Tue, 04 Nov 2014 12:19:04 -0800

geary (0.6.3-1~trusty1) trusty; urgency=low

  * Warn user of TLS certificate issues when connecting (#713247)
  * Fix wrong timestamp in composed email Date header (#714376)
  * Compile with Vala 0.25 and better

 -- Jim Nelson <jim@yorba.org>  Tue, 02 Sep 2014 15:49:33 -0700

geary (0.6.2-1~saucy1) saucy; urgency=low

  * Patch major memory leak due to GMime bindings
  * Prevent Vala 0.26 compiler error
  * Stabilize search sorting to prevent dropped search results
  * Prevent Inbox from being cleared on startup w/ Dovecot, Zimbra, and more.

 -- Jim Nelson <jim@yorba.org>  Wed, 20 Aug 2014 12:27:20 -0700

geary (0.6.1-1~saucy1) saucy; urgency=low

  * Copy and move message bug fixes (esp. to prevent lost emails)
  * Prevent STARTTLS BAD_IDENTITY when connecting to server
  * Prevent failure when deleting Outbox message
  * Don't save draft messages on server when UIDPLUS not available
  * Correct severe database command error (statement too long)
  * Fix bug when launching Geary with file URIs for attachments
  * Prevent the IMAP account synchronizer from deadlocking
  * Fix server compatibility issues (mail.ru, netcourrier.com)
  * Italian translation of help documentation
  * Improved translations

 -- Jim Nelson <jim@yorba.org>  Tue, 01 Jul 2014 14:53:19 -0700

geary (0.6.0-1~saucy1) saucy; urgency=low

  * Basic search operators
  * Save sent mail option
  * Separate archive, trash, and delete actions
  * Improved server support
  * Many stability, speed, and interface improvements and bugfixes

 -- Charles Lindsay <chaz@yorba.org>  Mon, 17 Mar 2014 13:41:15 -0700

geary (0.4.3-1~raring1) raring; urgency=low

  * Fix "squished" conversation list when used with certain themes
  * Compile-time support for WebKitGTK 2.0

 -- Jim Nelson <jim@yorba.org>  Thu, 12 Dec 2013 15:00:34 -0800

geary (0.4.2-1~raring1) raring; urgency=low

  * Compile with Vala 0.22.1

 -- Jim Nelson <jim@yorba.org>  Wed, 20 Nov 2013 13:06:44 -0800

geary (0.4.1-1~raring1) raring; urgency=low

  * Compile-time support for WebKitGTK 2.2
  * Fixes IMAP STARTTLS failure to connect bug
  * Works around LIST bug in IceWarp IMAP servers (crasher)
  * Solves crash when IMAP connect fails due to timeout
  * CamelCased MIME types now handled properly (prevents blank emails)
  * Adds missing RTL icons
  * New translations

 -- Jim Nelson <jim@yorba.org>  Mon, 11 Nov 2013 17:00:03 -0800

geary (0.4.0-1~raring1) raring; urgency=low

  * Per-account full text search
  * Automatic save to draft
  * Refreshed user interface
  * Per-folder unread email count
  * Experimental support for Outlook.com
  * Enhanced "show external images" preference
  * Find bar for locating text within a conversation (Ctrl+F)
  * Improved handling of attachments
  * Malicious link checker
  * Passwords stored with libsecret instead of GNOME Keyring
  * Hundreds of bugs fixed and small improvements

 -- Eric Gregory <eric@yorba.org>  Thu, 03 Oct 2013 15:06:36 -0700

geary (0.3.1-1~raring1) raring; urgency=low

  * Reduced CPU and memory footprint
  * Account dialog bugs fixed
  * Stability improvements

 -- Eric Gregory <eric@yorba.org>  Tue, 09 Apr 2013 11:39:44 -0700

geary (0.3.0-2~raring1) raring; urgency=low

  * Fix control file

 -- Charles Lindsay <chaz@yorba.org>  Tue, 19 Mar 2013 18:07:37 -0700

geary (0.3.0-1~raring1) raring; urgency=low

  * Support for multiple accounts
  * Account editor
  * Basic full conversations
  * Some light background downloading of messages
  * Mark as spam/not spam
  * "Important" folder support
  * Multiple compressed messages are collapsed in conversation viewer
  * Mark as read as you scroll in conversation viewer
  * Highlight unread messages in conversation viewer
  * New keyboard shortcuts (see help)
  * Allow auth-less SMTP
  * Conversation viewer WebKit inspector
  * Many bugfixes

 -- Charles Lindsay <chaz@yorba.org>  Tue, 19 Mar 2013 15:01:19 -0700

geary (0.3.0pr1~raring1) raring; urgency=low

  * Pre-prelease 

 -- Eric Gregory <eric@yorba.org>  Wed, 06 Mar 2013 13:16:40 -0800

geary (0.2.2-2~precise2) precise; urgency=low

  * Updated for daily build PPA.

 -- Jim Nelson <jim@yorba.org>  Mon, 29 Oct 2012 16:29:25 +0100


geary (0.2.2-1~precise1) precise; urgency=low

  * Fix PLAIN authentication (failed w/ Yahoo! and other SMTP servers)
  * Build will fail if intltool not installed (necessary for .desktop)

 -- Jim Nelson <jim@yorba.org>  Thu, 18 Oct 2012 15:38:44 -0700


geary (0.2.1-1~precise5) precise; urgency=low

  * Save attachments FileChooserDialog now displays network mounts
  * Adds support for SMTP PLAIN authentication
  * Installs Italian translation (overlooked in 0.2.0)
  * Adds three new translations: Czech, Telugu, and Turkish
  * Preferences dialog and .desktop file now translated
  * Icon and desktop file cache updated after uninstall
  * Various translation fixes, including translations not being displayed

 -- Jim Nelson <jim@yorba.org>  Mon, 08 Oct 2012 18:09:18 -0700


geary (0.2.0-1~precise1) precise; urgency=low

  * Fixed Dovecot-related IMAP issues
  * Fixed Exim-related SMTP issues
  * Improved icons
  * Toolbar improvements
  * Composer window redesign and bug fixes
  * Conversation List redesign
  * Messaging Menu integration
  * Numerous bug and stability fixes

 -- Jim Nelson <jim@yorba.org>  Mon, 01 Oct 2012 14:56:27 -0700


geary (0.1.90-1~precise1) precise; urgency=low

  * Support for sending and receiving attachments
  * New mail notification for GNOME Shell and Unity
  * Outbox for scheduled delivery of messages
  * Better visual presentation of conversations
  * Full SSL and STARTTLS support
  * Fine-grained control of account information for connecting to Dovecot
    and generic IMAP servers
  * Address autocompletion when composing a message
  * Database optimizations
  * Strings marked for translation and .pot file now available
  * Numerous bug and stability fixes

 -- Jim Nelson <jim@yorba.org>  Wed, 05 Sep 2012 12:48:48 -0700


geary (0.1.0-1~precise1) precise; urgency=low

  * Initial release.  Features include:
    - Lightweight IMAP/SMTP email client
    - Integration with GMail and Yahoo Mail features
    - Read/write HTML email
    - Support for starring, archiving, mark as read/unread

 -- Eric Gregory <eric@yorba.org>  Wed, 04 May 2012 17:30:00 -0700
